petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscMemmove

Copies n bytes, beginning at location b, to the space beginning at location a. Copying between regions that overlap will take place correctly.

### Synopsis

    #include "petscsys.h"
    PetscErrorCode  PetscMemmove(void *a,void *b,size_t n)

Not Collective

### Input Parameters

| b | - pointer to initial memory space
| n | - length (in bytes) of space to copy

### Output Parameter

a -pointer to copy space

### Note

This routine is analogous to memmove().

Since b can overlap with a, b cannot be declared as const

### See Also

PetscMemcpy()

Level:intermediate
Location:src/sys/utils/memc.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages